Bug 1978649 - Object Service tab should not be part of OCP Console for ODF Managed Services
Summary: Object Service tab should not be part of OCP Console for ODF Managed Services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Sanjal Katiyar
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1999717
TreeView+ depends on / blocked
 
Reported: 2021-07-02 12:06 UTC by Filip Balák
Modified: 2021-10-18 17:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1999717 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:38:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Object Service tab (107.45 KB, image/png)
2021-07-02 12:06 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9742 0 None None None 2021-08-05 14:28:49 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:19 UTC

Description Filip Balák 2021-07-02 12:06:23 UTC
Created attachment 1797138 [details]
Object Service tab

Description of problem (please be detailed as possible and provide log
snippests):
There is no data in Object Service tab when accessed from ODF Managed Services. Both RGW and Multicloud Object Gateway are not present in the offering so there is no object service. For that reason the tab should be not present.


Version of all relevant components (if applicable):
OCS ocs-operator.v4.7.2
OCP 4.7.18


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
yes

Can this issue reproduce from the UI?
yes


Steps to Reproduce:
1. Navigate to Home -> Overview -> Object Service in OCP Console

Actual results:
The tab with empty data is present.

Expected results:
There are only tabs Cluster and Persistent Storage present in Overview

Additional info:

Comment 3 Mudit Agarwal 2021-07-07 02:25:25 UTC
Targeting it to 4.7.z based on the previous comment. Can we closed as fixed in NEXT_RELEASE if everyone agrees.

Comment 9 Filip Balák 2021-09-15 10:32:57 UTC
There is only "Block and File" tab for ODF addon. --> VERIFIED

Tested with:
ocs-operator.v4.8.1
ocs-osd-deployer-qe.v1.1.0

Comment 11 Filip Balák 2021-10-13 11:38:23 UTC
Dashboards are not available after applying reproducer from Comment 10. When label "odf-managed-service: 'true'" is added to openshift-storage namespace, dashboards are not available and it's pages return code 404. --> VERIFIED

On Overview page is still present link to those dashboards. This was reported as BZ 2011411.

Tested with:
OCP 4.9.0-0.nightly-2021-10-13-035504
OCS ocs-operator.v4.8.3

Comment 13 errata-xmlrpc 2021-10-18 17:38:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.